Scriptname SPEAetherialCrownScript extends ObjectReference
{Script that swaps the aetherial crown effect to other items.}

Armor Property SPEGP_AetherialItem Auto
Armor Property SPEGP_AetherialScriptItem Auto
ReferenceAlias Property Alias_AetherialCrown Auto

Event OnContainerChanged(ObjectReference akNewContainer, ObjectReference akOldContainer)
	Actor Player = akNewContainer as Actor
	If Player == Game.GetPlayer()
		Player.RemoveItem(SPEGP_AetherialScriptItem, 1, true)
		Alias_AetherialCrown.ForceRefTo(Player.PlaceAtMe(SPEGP_AetherialItem, 1, true))
		Player.AddItem(Alias_AetherialCrown.GetReference(), 1, true)
	EndIf
EndEvent