Scriptname SPEAlchemyChest extends ObjectReference  
{A script for a container to automate alchemy ingredient storing and retrieval.}

FormList Property ingredientsList  Auto  
Message Property ingredientsDeposited  Auto  
Message Property ingredientsLooted  Auto  
Message Property containerEmpty  Auto  

Event OnCellLoad()
	If !IsActivationBlocked()
		BlockActivation()
	EndIf
EndEvent

Event OnActivate(ObjectReference akActionRef)
	If akActionRef == Game.GetPlayer()
		int hugeNumber = akActionRef.GetItemCount(ingredientsList)
		If hugeNumber
			akActionRef.RemoveItem(ingredientsList, hugeNumber, true, self)
			ingredientsDeposited.Show()
		Else
			hugeNumber = GetItemCount(ingredientsList)
			If hugeNumber
				RemoveItem(ingredientsList, GetItemCount(ingredientsList), true, akActionRef)
				ingredientsLooted.Show()
			Else
				containerEmpty.Show()
			EndIf
		EndIf
	EndIf
EndEvent
