Scriptname SPEAllureScript extends ActiveMagicEffect  
{Removes other skill experience buffs when they are added, to avoid having to edit vanilla scripts, perks, or spells.}

Spell Property Rested Auto
Spell Property WellRested Auto
Spell Property MarriageRested Auto
Actor Property PlayerRef Auto

Event OnEffectStart(Actor akTarget, Actor akCaster)
	If akTarget == PlayerRef
		RegisterForSleep()
	EndIf
EndEvent


Event OnSleepStop(bool abInterrupted)
	Utility.Wait(1)
	PlayerRef.RemoveSpell(Rested)
	PlayerRef.RemoveSpell(WellRested)
	PlayerRef.RemoveSpell(MarriageRested)
EndEvent
