Scriptname SPEAtronachFrostScript extends activemagiceffect  
{Fakes on hit effects from summoned frost atronachs.}

Keyword Property SPEFrostAtronach Auto
Keyword Property MagicDamageFrost Auto
Keyword Property ImmuneStrongUnrelentingForce Auto
Spell Property SPEDeepFreezeSpell Auto
Actor Attacker
Spell spellCast

Event OnHit(ObjectReference akAggressor, Form akSource, Projectile akProjectile, bool abPowerAttack, bool abSneakAttack, bool abBashAttack, bool abHitBlocked)
	Attacker = akAggressor as Actor
	If Attacker ;trigger only on actors
		If Attacker.HasKeyword(SPEFrostAtronach)
			If abPowerAttack == TRUE && GetTargetActor().HasKeyword(ImmuneStrongUnrelentingForce) == FALSE
				Attacker.PushActorAway(GetTargetActor(), 6)
			ElseIf Utility.RandomInt(1,20) == 1
				SPEDeepFreezeSpell.Cast(Attacker, GetTargetActor()) ;paralyze
			EndIf
		EndIf
	EndIf
EndEvent