Scriptname SPEBoozeMonitor extends ActiveMagicEffect  
{Applies extra effects on the player when they drink.}

MagicEffect Property FoodDamageStaminaRate Auto
MagicEffect Property SPEPerkBrigandsBrewEffect Auto
MagicEffect Property SPEPerkDrunkenRageEffect Auto
Spell Property SPEPerkBrigandsBrewSpell Auto
Spell Property SPEPerkDrunkenRageSpell Auto
Perk Property SPEBrigandsBrew Auto
Perk Property SPEDrunkenRage Auto

Event OnMagicEffectApply(ObjectReference akCaster, MagicEffect akEffect)
	If akEffect == FoodDamageStaminaRate ;alcohol was drunk!
		If GetTargetActor().HasPerk(SPEDrunkenRage)
			If Utility.RandomInt(1,100) > GetTargetActor().GetAV("StaminaRateMult")
				;occurs more often the more the player drinks.
				SPEPerkDrunkenRageSpell.Cast(GetTargetActor())
			EndIf
		EndIf
		If GetTargetActor().HasPerk(SPEBrigandsBrew)
			SPEPerkBrigandsBrewSpell.Cast(GetTargetActor())
		EndIf
	EndIf
EndEvent
