Scriptname SPEConditionCombat extends ActiveMagicEffect
{Tracks the player's combat status and triggers a mod event.}

Actor Player

Event OnEffectStart(Actor akTarget, Actor akCaster)
	Player = akTarget
	Player.SendModEvent("SPE_CombatStart")
	RegisterForSingleUpdate(0.1)
EndEvent

Event OnUpdate()
	If Player.IsInCombat() == 1
		RegisterForSingleUpdate(0.1) ;some combat effects require an immediate stop
	Else
		Player.SendModEvent("SPE_CombatStop")
	EndIf
EndEvent