Scriptname SPEConditionalSelfBuff extends ActiveMagicEffect  
{Point this script at a spell and attach it to an ability with a condition, then it'll cast that spell whenever the condition is true.}

Spell Property ConditionalSpell Auto

Event OnEffectStart(Actor akTarget, Actor akCaster)
	;ConditionalSpell.Cast(akTarget, akTarget)
	RegisterForAnimationEvent(akTarget, "PowerAttack_Start_End")
	RegisterForAnimationEvent(akTarget, "AttackPowerStanding_FXStart")
	RegisterForAnimationEvent(akTarget, "AttackPowerRight_FXStart")
	RegisterForAnimationEvent(akTarget, "AttackPowerLeft_FXStart")
	RegisterForAnimationEvent(akTarget, "AttackPowerBackward_FXStart")
	RegisterForAnimationEvent(akTarget, "AttackPowerForward_FXStart")
	RegisterForAnimationEvent(akTarget, "weaponSwing")
	RegisterForAnimationEvent(akTarget, "BeginCastLeft")
	RegisterForAnimationEvent(akTarget, "BeginCastRight")
	RegisterForAnimationEvent(akTarget, "PowerAttack")
	RegisterForAnimationEvent(akTarget, "AttackPowerStartRight")
	RegisterForAnimationEvent(akTarget, "attackPowerStartRight")
	RegisterForAnimationEvent(akTarget, "attackStart")
	RegisterForAnimationEvent(akTarget, "attackRelease")
	RegisterForAnimationEvent(akTarget, "attackPowerStartInPlace")
	RegisterForAnimationEvent(akTarget, "attackPowerStartBackward")
	RegisterForAnimationEvent(akTarget, "attackPowerStartForward")
	RegisterForAnimationEvent(akTarget, "PowerAttackStop")
EndEvent

Event OnAnimationEvent(ObjectReference akSource, string asEventName)
	Debug.Trace("Animation Detected: " + asEventName)
EndEvent