Scriptname SPEDoubleCast extends activemagiceffect  
{Has a percent chance to cast a copy of spells with a certain keyword.}

Keyword Property SpellKeyword Auto
int Property PercentChance = 20 Auto
Formlist Property ConcentrationSpells Auto
bool ConcentrationSpell = false

Event OnSpellCast(Form akSpell)
	Spell spellCast = akSpell as Spell
	If spellCast ;make sure it's a spell, not an enchantment or potion
		If akSpell.HasKeyword(SpellKeyword) && Utility.RandomInt(1,100) <= PercentChance ;check element and chance
			int i = ConcentrationSpells.GetSize() ;don't fire for concentration spells
			While i > 0
				i -= 1
				If akSpell == (ConcentrationSpells.GetAt(i) as Spell)
					ConcentrationSpell = true
					i = 0
				EndIf
			EndWhile
			If ConcentrationSpell == false
				spellCast.Cast(GetTargetActor()) ;double cast!
			EndIf
			ConcentrationSpell = false
		EndIf
	EndIf
EndEvent
