Scriptname SPEGuardianScript extends activemagiceffect  
{Slows time when the target drops below 10% health.}

Spell Property SPEPerkGuardianSlowTime Auto
MagicEffect Property SPEPerkGuardianCooldownEffect Auto
Actor Property PlayerRef Auto
Actor Target

Event OnEffectStart(Actor akTarget, Actor akCaster)
	Target = akTarget
EndEvent

Event OnHit(ObjectReference akAggressor, Form akSource, Projectile akProjectile, bool abPowerAttack, bool abSneakAttack, bool abBashAttack, bool abHitBlocked)
	If Target.GetAVPercentage("Health") < 0.1
		Actor Attacker = akAggressor as Actor
		If Attacker != NONE && Attacker.IsHostileToActor(Target) ;hit by an enemy, now low on health
			If PlayerRef.HasMagicEffect(SPEPerkGuardianCooldownEffect) == 0 ;effect is not cooling down
				SPEPerkGuardianSlowTime.Cast(PlayerRef)
			EndIf
		EndIf
	EndIf
EndEvent