Scriptname SPEInit extends Quest  
{Script to initialize new perk system for existing or new characters.}

Event OnInit()
	If Game.GetPlayer().GetLevel() > 1 ;player has perk points to deal with
		characterExists.Show()
		SPESkillUpQuest.resetPerks()
		Stop()
	Else ;player is probably in the tutorial
		RegisterForSingleUpdate(10)
	EndIf
EndEvent

Event OnUpdate()
	If tutorialQuest.GetStage() < 80 ;player hasn't selected race yet
		RegisterForSingleUpdate(10)
	Else ;player has selected race and may receive perks
		SPESkillUpQuest.NewCharacter() ;the skill up script handles the rest
		Stop()
	EndIf
EndEvent

Quest Property tutorialQuest  Auto  

SPESkillUp Property SPESkillUpQuest  Auto  

Message Property characterExists  Auto  
