Scriptname SPELongWindedScript extends ActiveMagicEffect
{Adds extra stamina regen while sprinting.}

Actor Property PlayerRef Auto
Spell Property SPEPerkLongWindedRegen Auto

Event OnEffectStart(Actor akTarget, Actor akCaster)
	PlayerRef.AddSpell(SPEPerkLongWindedRegen, false)
	RegisterForUpdate(0.1)
EndEvent

Event OnUpdate()
	If PlayerRef.IsSprinting() == 0
		PlayerRef.RemoveSpell(SPEPerkLongWindedRegen)
		GoToState("Off")
	EndIf
EndEvent

State Off ;catch it if the player stops sprinting, then immediately starts again
	Event OnUpdate()
		If PlayerRef.IsSprinting()
			PlayerRef.AddSpell(SPEPerkLongWindedRegen, false)
			GoToState("")
		EndIf
	EndEvent
EndState