Scriptname SPEPerkAbility extends ActiveMagicEffect
{Provides additional scripted functions to a perk when added/removed based on an attached ability.}

Actor Property PlayerRef Auto
SPEPerksScript Property PerkQuest Auto
string Property SkillName = "" Auto
string Property PerkName = "" Auto

Event OnEffectStart(Actor akTarget, Actor akCaster)
	If akTarget == PlayerRef
		PerkQuest.UpdatePerk(SkillName, PerkName, true)
	EndIf
EndEvent

Event OnEffectFinish(Actor akTarget, Actor akCaster)
	If akTarget == PlayerRef
		PerkQuest.UpdatePerk(SkillName, PerkName, false)
	EndIf
EndEvent