Scriptname SPEPerkAbilityAlias extends ActiveMagicEffect
{Assigns a reference alias when started and clears it when stopped.}

Actor Property PlayerRef Auto
ReferenceAlias Property AliasToAssign Auto

;Yes, sometimes use of this script seems silly since I could use an ActiveMagicEffect script instead of a ReferenceAlias script, but I find code placed in OnEffectFinish events to be error prone, so I prefer aliases for many cases.

Event OnEffectStart(Actor akTarget, Actor akCaster)
	If akTarget == PlayerRef
		AliasToAssign.ForceRefTo(PlayerRef)
	EndIf
EndEvent

Event OnEffectFinish(Actor akTarget, Actor akCaster)
	If akTarget == PlayerRef
		AliasToAssign.Clear()
	EndIf
EndEvent