Scriptname SPETorchFearEffect extends activemagiceffect  
{ Adds a fear effect if the target's health is likely to drop below 10% }

Spell Property SPETorchFear Auto
Actor Property PlayerRef Auto

Event OnEffectStart(Actor akTarget, Actor akCaster)
	;add fear effect if the fire effect will probably drop the target below 10% health.
	If (GetTargetActor().GetAV("Health") - (PlayerRef.GetAV("Lockpicking") * 1.5 * (1 - GetTargetActor().GetAV("FireResist") * 0.01))) < (GetTargetActor().GetBaseAV("Health") / 10)
		PlayerRef.DoCombatSpellApply(SPETorchFear, GetTargetActor())
	EndIf
EndEvent
