Scriptname SPEWardScript extends activemagiceffect  
{Scripted 'bound shield' effect for Spellbreaker-like shields.}

Armor Property WardShield Auto
Spell Property CurrentSpell Auto
Actor Caster
bool ManualUnequip = false
bool SpellComplete = false

Event OnEffectStart(Actor akTarget, Actor akCaster)
	akCaster.AddItem(WardShield, 1, true)
	akCaster.EquipItem(WardShield, true, true)
	Caster = akCaster
	RegisterForAnimationEvent(Caster, "WeaponSheathe")
EndEvent

Event OnAnimationEvent(ObjectReference akSource, string asEventName)
	Caster.DispelSpell(CurrentSpell)
EndEvent

Event OnEffectFinish(Actor akTarget, Actor akCaster)
	akCaster.RemoveItem(WardShield, 1, true)
	If ManualUnequip == false
		akCaster.EquipSpell(CurrentSpell, 0)
	EndIf
EndEvent

Event OnObjectUnequipped(Form akBaseObject, ObjectReference akReference)
	If akBaseObject == WardShield
		ManualUnequip = true
		Caster.DispelSpell(CurrentSpell)
	EndIf
EndEvent
