Scriptname SPEWardSpellScript extends activemagiceffect  
{Casts a traditional ward spell while blocking.}

Spell Property WardSpell Auto
Actor Caster
bool interrupted = false

Event OnEffectStart(Actor akTarget, Actor akCaster)
	Caster = akCaster
	WardSpell.Cast(Caster)
	RegisterForSingleUpdate(0.1)
EndEvent

Event OnUpdate()
	If Caster.GetAnimationVariableBool("IsBlocking")
		RegisterForSingleUpdate(0.1)
	Else
		interrupted = true
		Caster.InterruptCast()
	EndIf
EndEvent

Event OnEffectFinish(Actor akTarget, Actor akCaster)
	If interrupted == false
		akCaster.InterruptCast()
	EndIf
EndEvent