Scriptname SPE2hKillMoveScript extends activemagiceffect  
{Detects a two handed sneak attack kill and casts a spell.}

Spell Property SPE2hKillFear Auto
GlobalVariable Property SPE2hSneakAttack Auto

Event OnEffectStart(Actor akTarget, Actor akCaster)
	If SPE2hSneakAttack.GetValue() == 1 ;don't bother with the rest of it if the feature is off.
		If akTarget.IsSneaking() == 1 && akTarget.IsInCombat() == 0 ;sneak attack from out of combat
			If akTarget.GetEquippedItemType(1) == 5 || akTarget.GetEquippedItemType(1) == 6 ;has two handed weapon equipped
				Utility.Wait(0.4) ;slight delay to make sure the kill move is active
				If akTarget.IsInKillMove() ;instant kill
					SPE2hKillFear.Cast(akTarget)
				EndIf
			EndIf
		EndIf
	EndIf
EndEvent