Scriptname SPECombatOnlyAbility extends SPEPlayerOnlyAbility
{Adds an ability in-combat, then removes it immediately after.}

Spell Property CombatOnlySpell Auto

Function Initialize()
	RegisterForModEvent("SPE_CombatStart", "OnCombatStart")
	RegisterForModEvent("SPE_CombatStop", "OnCombatStop")
EndFunction

Function OnCombatStart(string eventName, string strArg, float numArg, Form sender)
	PlayerRef.AddSpell(CombatOnlySpell, false)
EndFunction

Function OnCombatStop(string eventName, string strArg, float numArg, Form sender)
	PlayerRef.RemoveSpell(CombatOnlySpell)
EndFunction
