Scriptname SPECombatRegenScript extends SPEPlayerOnlyAbility
{Adds an ability in-combat, then removes it immediately after. Used for changing in-combat regeneration.}

Spell Property CombatOnlySpell Auto

Function Initialize()
	RegisterForModEvent("SPE_CombatStart", "OnCombatStart")
EndFunction

Event OnUpdate()
	If PlayerRef.IsInCombat()
		RegisterForSingleUpdate(0.1)
	Else
		PlayerRef.RemoveSpell(CombatOnlySpell)
		;PlayerRef.RemoveSpell(SPEPerkStalwartDefender)
		;PlayerRef.RemoveSpell(SPEPerkConcentrationAb)
	EndIf
EndEvent

Function OnCombatStart(string eventName, string strArg, float numArg, Form sender)
	PlayerRef.AddSpell(CombatOnlySpell, false)
	RegisterForSingleUpdate(0.1)
EndFunction
