Scriptname SPEConditionEvent extends ActiveMagicEffect
{Tracks the player's dual casting status and triggers a mod event.}

string Property StartEventName Auto
{The name of the custom event to send when the linked condition turns true.}

string Property StopEventName Auto
{The name of the custom event to send when the linked condition turns false.}

Event OnEffectStart(Actor akTarget, Actor akCaster)
	akTarget.SendModEvent(StartEventName)
EndEvent

Event OnEffectFinish(Actor akTarget, Actor akCaster)
	akTarget.SendModEvent(StopEventName)
EndEvent