Scriptname SPECounterAttackScript extends ActiveMagicEffect
{Dispels itself as soon as the actor attacks.}

Actor Target
Spell Property SPEPerkCounterattack Auto
Spell Property SPEPerkCounterattackHaste Auto

Event OnEffectStart(Actor akTarget, Actor akCaster)
	Target = akTarget
	RegisterForAnimationEvent(akTarget, "weaponSwing")
EndEvent

Event OnAnimationEvent(ObjectReference akSource, string asEventName)
	Utility.Wait(0.1)
	SPEPerkCounterattackHaste.Cast(Target)
	GoToState("ReadyToCancel")
	RegisterForSingleUpdate(0.3) ;give the attack a moment to finish, then cancel.	
EndEvent

State ReadyToCancel
	Event OnUpdate()
		Target.DispelSpell(SPEPerkCounterattackHaste)
		Target.DispelSpell(SPEPerkCounterattack)
	EndEvent
EndState