Scriptname SPEExorcismScript extends ActiveMagicEffect
{Kills low level undead for the Exorcist perk.}

Perk Property SPEExorcist Auto
GlobalVariable Property SPEPerkExorcistKillLevel Auto
Keyword Property MagicTurnUndead Auto
EffectShader Property TurnUndeadFlamesFXS Auto
Actor Target

Event OnEffectStart(Actor akTarget, Actor akCaster)
	Target = akTarget
	If akTarget.HasMagicEffectWithKeyword(MagicTurnUndead)
		Exorcise()
	EndIf
EndEvent

Event OnMagicEffectApply(ObjectReference akCaster, MagicEffect akEffect)
	If (akCaster as Actor).HasPerk(SPEExorcist) && akEffect.HasKeyword(MagicTurnUndead)
		Exorcise()
	EndIf
EndEvent

Function Exorcise()
	If Target.GetLevel() < SPEPerkExorcistKillLevel.GetValue()
		TurnUndeadFlamesFXS.Play(Target, 2.0)
		Game.AdvanceSkill("Restoration", Target.GetAV("Health"))
		Target.DamageAV("Health", Target.GetAV("Health"))
	EndIf
EndFunction