Scriptname SPEExplodingChickenScript extends Actor
{Chicken goes boom.}

SPESummonManagerScript Property SPESummonQuest Auto
Spell Property SPEChickenExplosion Auto
Sound Property SPECluck Auto
Actor Property PlayerRef Auto
Actor victim
float explodingDistance
bool exploded = false

Event OnLoad()
	Utility.Wait(0.5)
	victim = GetCombatTarget()
	If victim
		explodingDistance = (victim.GetLength() + victim.GetWidth()) / 2 + 100
	EndIf
	RegisterForSingleUpdate(0.1)
EndEvent

Event OnUpdate()
	If victim && GetDistance(victim) < 3000 ;make sure there's a combat target
		If GetDistance(victim) > explodingDistance
			RegisterForSingleUpdate(0.1)
		Else
			Explode()
		EndIf
	Else ;no valid target - time bomb mode
		Utility.Wait(2.4)
		Explode()
	EndIf
EndEvent

Event OnDying(Actor akKiller)
	SPESummonQuest.BeastDied()
	If !exploded
		Explode()
	EndIf
EndEvent

Function Explode()
	If !exploded
		UnregisterForUpdate()
		exploded = true
		SPEChickenExplosion.RemoteCast(self, PlayerRef)
		int cluck = SPECluck.Play(PlayerRef)
		Sound.SetInstanceVolume(cluck, 2.0)
	EndIf
	If !IsDead()
		Kill()
	EndIf
	Delete()
EndFunction
