Scriptname SPEHorseFactionScript extends SPEPlayerOnlyAbility
{Adds the player's horse to the player faction so it doesn't get attacked by "friendly" beasts.}

Faction Property PlayerFaction Auto

Function Initialize()
	RegisterForModEvent("SPE_RidingStart", "OnRidingStart")
	RegisterForModEvent("SPE_RidingStop", "OnRidingStop")
EndFunction

Function OnRidingStart(string eventName, string strArg, float numArg, Form sender)
	Game.GetPlayersLastRiddenHorse().AddToFaction(PlayerFaction)
EndFunction

Function OnRidingStop(string eventName, string strArg, float numArg, Form sender)
	Game.GetPlayersLastRiddenHorse().RemoveFromFaction(PlayerFaction)
EndFunction
