Scriptname SPELegendaryScript extends Quest
{Modifies perk points when the player utilizes the legendary skill function.}

SPESkillUp Property SkillUpQuest Auto
GlobalVariable Property SPELegendarySkills Auto
GlobalVariable Property SPEDisableAlchemy Auto
GlobalVariable Property SPEDisableAlteration Auto
GlobalVariable Property SPEDisableArchery Auto
GlobalVariable Property SPEDisableBlock Auto
GlobalVariable Property SPEDisableConjuration Auto
GlobalVariable Property SPEDisableDestruction Auto
GlobalVariable Property SPEDisableEnchanting Auto
GlobalVariable Property SPEDisableHeavyArmor Auto
GlobalVariable Property SPEDisableIllusion Auto
GlobalVariable Property SPEDisableLightArmor Auto
GlobalVariable Property SPEDisableLockpicking Auto
GlobalVariable Property SPEDisableOneHanded Auto
GlobalVariable Property SPEDisablePickpocket Auto
GlobalVariable Property SPEDisableRestoration Auto
GlobalVariable Property SPEDisableSmithing Auto
GlobalVariable Property SPEDisableSneak Auto
GlobalVariable Property SPEDisableSpeech Auto
GlobalVariable Property SPEDisableTwoHanded Auto
Actor Property PlayerRef Auto
int Alchemy
int Alteration
int Archery
int Block
int Conjuration
int Destruction
int Enchanting
int HeavyArmor
int Illusion
int LightArmor
int Lockpicking
int OneHanded
int Pickpocket
int Restoration
int Smithing
int Sneak
int Speech
int TwoHanded
bool ResetDetected = false

Event OnInit()
	Alchemy = PlayerRef.GetBaseAV("Alchemy") as Int
	Alteration = PlayerRef.GetBaseAV("Alteration") as Int
	Archery = PlayerRef.GetBaseAV("Marksman") as Int
	Block = PlayerRef.GetBaseAV("Block") as Int
	Conjuration = PlayerRef.GetBaseAV("Conjuration") as Int
	Destruction = PlayerRef.GetBaseAV("Destruction") as Int
	Enchanting = PlayerRef.GetBaseAV("Enchanting") as Int
	HeavyArmor = PlayerRef.GetBaseAV("HeavyArmor") as Int
	Illusion = PlayerRef.GetBaseAV("Illusion") as Int
	LightArmor = PlayerRef.GetBaseAV("LightArmor") as Int
	Lockpicking = PlayerRef.GetBaseAV("Lockpicking") as Int
	OneHanded = PlayerRef.GetBaseAV("OneHanded") as Int
	Pickpocket = PlayerRef.GetBaseAV("Pickpocket") as Int
	Restoration = PlayerRef.GetBaseAV("Restoration") as Int
	Smithing = PlayerRef.GetBaseAV("Smithing") as Int
	Sneak = PlayerRef.GetBaseAV("Sneak") as Int
	Speech = PlayerRef.GetBaseAV("Speechcraft") as Int
	TwoHanded = PlayerRef.GetBaseAV("TwoHanded") as Int
	RegisterForMenu("StatsMenu")
EndEvent

Event OnMenuOpen(String MenuName)
	While Utility.IsInMenuMode() && SPELegendarySkills.GetValue()
		If Alchemy == 100 && PlayerRef.GetBaseAV("Alchemy") == 15 && SPEDisableAlchemy.GetValue() == 0
			Game.ModPerkPoints(-5)
			Alchemy = 15
			ResetDetected = true
		Else
			Alchemy = PlayerRef.GetBaseAV("Alchemy") as Int
		EndIf

		If Alteration == 100 && PlayerRef.GetBaseAV("Alteration") == 15 && SPEDisableAlteration.GetValue() == 0
			Game.ModPerkPoints(-5)
			Alteration = 15
			ResetDetected = true
		Else
			Alteration = PlayerRef.GetBaseAV("Alteration") as Int
		EndIf

		If Archery == 100 && PlayerRef.GetBaseAV("Marksman") == 15 && SPEDisableArchery.GetValue() == 0
			Game.ModPerkPoints(-5)
			Archery = 15
			ResetDetected = true
		Else
			Archery = PlayerRef.GetBaseAV("Marksman") as Int
		EndIf

		If Block == 100 && PlayerRef.GetBaseAV("Block") == 15 && SPEDisableBlock.GetValue() == 0
			Game.ModPerkPoints(-5)
			Block = 15
			ResetDetected = true
		Else
			Block = PlayerRef.GetBaseAV("Block") as Int
		EndIf

		If Conjuration == 100 && PlayerRef.GetBaseAV("Conjuration") == 15 && SPEDisableConjuration.GetValue() == 0
			Game.ModPerkPoints(-5)
			Conjuration = 15
			ResetDetected = true
		Else
			Conjuration = PlayerRef.GetBaseAV("Conjuration") as Int
		EndIf

		If Destruction == 100 && PlayerRef.GetBaseAV("Destruction") == 15 && SPEDisableDestruction.GetValue() == 0
			Game.ModPerkPoints(-5)
			Destruction = 15
			ResetDetected = true
		Else
			Destruction = PlayerRef.GetBaseAV("Destruction") as Int
		EndIf

		If Enchanting == 100 && PlayerRef.GetBaseAV("Enchanting") == 15 && SPEDisableEnchanting.GetValue() == 0
			Game.ModPerkPoints(-5)
			Enchanting = 15
			ResetDetected = true
		Else
			Enchanting = PlayerRef.GetBaseAV("Enchanting") as Int
		EndIf

		If HeavyArmor == 100 && PlayerRef.GetBaseAV("HeavyArmor") == 15 && SPEDisableHeavyArmor.GetValue() == 0
			Game.ModPerkPoints(-5)
			HeavyArmor = 15
			ResetDetected = true
		Else
			HeavyArmor = PlayerRef.GetBaseAV("HeavyArmor") as Int
		EndIf

		If Illusion == 100 && PlayerRef.GetBaseAV("Illusion") == 15 && SPEDisableIllusion.GetValue() == 0
			Game.ModPerkPoints(-5)
			Illusion = 15
			ResetDetected = true
		Else
			Illusion = PlayerRef.GetBaseAV("Illusion") as Int
		EndIf

		If LightArmor == 100 && PlayerRef.GetBaseAV("LightArmor") == 15 && SPEDisableLightArmor.GetValue() == 0
			Game.ModPerkPoints(-5)
			LightArmor = 15
			ResetDetected = true
		Else
			LightArmor = PlayerRef.GetBaseAV("LightArmor") as Int
		EndIf

		If Lockpicking == 100 && PlayerRef.GetBaseAV("Lockpicking") == 15 && SPEDisableLockpicking.GetValue() == 0
			Game.ModPerkPoints(-5)
			Lockpicking = 15
			ResetDetected = true
		Else
			Lockpicking = PlayerRef.GetBaseAV("Lockpicking") as Int
		EndIf

		If OneHanded == 100 && PlayerRef.GetBaseAV("OneHanded") == 15 && SPEDisableOneHanded.GetValue() == 0
			Game.ModPerkPoints(-5)
			OneHanded = 15
			ResetDetected = true
		Else
			OneHanded = PlayerRef.GetBaseAV("OneHanded") as Int
		EndIf

		If Pickpocket == 100 && PlayerRef.GetBaseAV("Pickpocket") == 15 && SPEDisablePickpocket.GetValue() == 0
			Game.ModPerkPoints(-5)
			Pickpocket = 15
			ResetDetected = true
		Else
			Pickpocket = PlayerRef.GetBaseAV("Pickpocket") as Int
		EndIf

		If Restoration == 100 && PlayerRef.GetBaseAV("Restoration") == 15 && SPEDisableRestoration.GetValue() == 0
			Game.ModPerkPoints(-5)
			Restoration = 15
			ResetDetected = true
		Else
			Restoration = PlayerRef.GetBaseAV("Restoration") as Int
		EndIf

		If Smithing == 100 && PlayerRef.GetBaseAV("Smithing") == 15 && SPEDisableSmithing.GetValue() == 0
			Game.ModPerkPoints(-5)
			Smithing = 15
			ResetDetected = true
		Else
			Smithing = PlayerRef.GetBaseAV("Smithing") as Int
		EndIf

		If Sneak == 100 && PlayerRef.GetBaseAV("Sneak") == 15 && SPEDisableSneak.GetValue() == 0
			Game.ModPerkPoints(-5)
			Sneak = 15
			ResetDetected = true
		Else
			Sneak = PlayerRef.GetBaseAV("Sneak") as Int
		EndIf

		If Speech == 100 && PlayerRef.GetBaseAV("Speechcraft") == 15 && SPEDisableSpeech.GetValue() == 0
			Game.ModPerkPoints(-5)
			Speech = 15
			ResetDetected = true
		Else
			Speech = PlayerRef.GetBaseAV("Speechcraft") as Int
		EndIf

		If TwoHanded == 100 && PlayerRef.GetBaseAV("TwoHanded") == 15 && SPEDisableTwoHanded.GetValue() == 0
			Game.ModPerkPoints(-5)
			TwoHanded = 15
			ResetDetected = true
		Else
			TwoHanded = PlayerRef.GetBaseAV("TwoHanded") as Int
		EndIf
		Utility.WaitMenuMode(1.5)
		If ResetDetected
			ResetDetected = false
			SkillUpQuest.AutoPerk()
		EndIf
	EndWhile
EndEvent