Scriptname SPELightBurdenScript extends SPEPlayerOnlyAbility
{Casts a speed spell on whatever horse the player rides.}

Spell Property SPEHorseHaste  Auto  
Spell Property SPESpeedFixAb Auto

Function Initialize()
	RegisterForModEvent("SPE_RidingStart", "OnRidingStart")
	RegisterForModEvent("SPE_RidingStop", "OnRidingStop")
EndFunction

Function OnRidingStart(string eventName, string strArg, float numArg, Form sender)
	Game.GetPlayersLastRiddenHorse().AddSpell(SPEHorseHaste, false)
	Game.GetPlayersLastRiddenHorse().AddSpell(SPESpeedFixAb, false)
EndFunction

Function OnRidingStop(string eventName, string strArg, float numArg, Form sender)
	Game.GetPlayersLastRiddenHorse().RemoveSpell(SPEHorseHaste)
	Game.GetPlayersLastRiddenHorse().RemoveSpell(SPESpeedFixAb)
EndFunction
