Scriptname SPEPlayerOnlyAbility extends ActiveMagicEffect
{Base script for abilities which should only work on the player.}

Spell Property ThisAbility Auto
{This property should point to the spell containing this effect.}
Actor Property PlayerRef Auto
{Faster than Game.GetPlayer(), and the player is persistent anyway.}

Event OnEffectStart(Actor akTarget, Actor akCaster)
	If akTarget == PlayerRef
		Initialize()
	Else
		akTarget.RemoveSpell(ThisAbility)
	EndIf
EndEvent

Function Initialize()
	{Called when the script attaches to the player}
EndFunction