Scriptname SPERetreatScript extends activemagiceffect  

Spell Property SPERetreatProc Auto
Spell Property SPESpeedFixAb Auto
bool buffActive 

Event OnEffectStart(Actor akTarget, Actor akCaster)
	GoToState("Ready")
EndEvent

State Ready
	Event OnHit(ObjectReference akAggressor, Form akSource, Projectile akProjectile, bool abPowerAttack, bool abSneakAttack, bool abBashAttack, bool abHitBlocked)
		If GetTargetActor().GetAV("Health") <= (GetTargetActor().GetBaseAV("Health") / 5)
			GoToState("")
			SPERetreatProc.Cast(GetTargetActor(), GetTargetActor())
			GetTargetActor().AddSpell(SPESpeedFixAb, false)
			buffActive = true
			RegisterForSingleUpdate(10)
		EndIf
	EndEvent
EndState

Event OnUpdate()
	If buffActive
		GetTargetActor().RemoveSpell(SPESpeedFixAb)
		buffActive = false
		RegisterForSingleUpdate(20)
	Else
		GoToState("Ready")
	EndIf
EndEvent