Scriptname SPESoulReaperScript extends activemagiceffect  
{Fills two soul gems at once, if possible.}

FormList Property SPESoulGemsEmpty Auto
FormList Property SPESoulGemsFilled Auto
bool Adding = false

Event OnEffectStart(Actor akTarget, Actor akCaster)
	AddInventoryEventFilter(SPESoulGemsFilled)
EndEvent

Event OnItemAdded(Form akBaseItem, int aiItemCount, ObjectReference akItemReference, ObjectReference akSourceContainer)
	If aiItemCount == 1 && akItemReference == NONE && akSourceContainer == NONE ;probably soul trapped something
		If Adding == false
			Form emptyGem = SPESoulGemsEmpty.GetAt(SPESoulGemsFilled.Find(akBaseItem))
			If GetTargetActor().GetItemCount(emptyGem) > 0
				GoToState("Adding")
				GetTargetActor().RemoveItem(emptyGem, 1, true)
				GetTargetActor().AddItem(akBaseItem, 1, true)
				RegisterForSingleUpdate(0.1)
			EndIf
		EndIf
	EndIf
EndEvent

Event OnUpdate()
	GoToState("")
EndEvent

State Adding
	Event OnItemAdded(Form akBaseItem, int aiItemCount, ObjectReference akItemReference, ObjectReference akSourceContainer)
	EndEvent
EndState