Scriptname SPESoulStealScript extends activemagiceffect  
{Adds a periodic life drain to the soul trap spell.}

Spell Property SPESoulStealDrain Auto
Spell Property SoulTrap Auto
Actor Caster
ObjectReference Target

Event OnEffectStart(Actor akTarget, Actor akCaster)
	Debug.Trace("Soul steal active")
	Caster = akCaster
	RegisterForCrosshairRef()
EndEvent

Event OnCrosshairRefChange(ObjectReference ref)
	Debug.Trace("Crosshair ref changed to " + ref)
	Target = ref
EndEvent

Event OnSpellCast(Form akSpell)
	If SoulTrap == akSpell as Spell
		If Target != NONE
			SPESoulStealDrain.Cast(Caster, Target)
		EndIf
	EndIf
EndEvent