Scriptname SPESpellCancelScript extends ActiveMagicEffect  
{Workaround for spells re-activating when conditions become true again.}

;To use this script, place a magic effect with this script on it in the spell you want to set conditions on. Set conditions in the spell for this effect only. If the spell has conditions that should prevent it from being cast in the first place, put those conditions on the magic effects themselves (all of them, including this one). Not doing this will result in the spell being cast and then cancelled immediately.

Spell Property UnwantedSpell Auto ;set to the spell containing this effect
Float Property Duration Auto ;set to the duration of the spell
bool Expired = false ;used to prevent the script from canceling an immediate re-cast

Event OnEffectStart(Actor akTarget, Actor akCaster)
	RegisterForSingleUpdate(Duration)
EndEvent

Event OnUpdate()
	Expired = true
EndEvent

Event OnEffectFinish(Actor akTarget, Actor akCaster)
	If !Expired
		akTarget.DispelSpell(UnwantedSpell)
	EndIf
EndEvent
