Scriptname SPESuccorScript Extends SPEOnHitProc
{Procs full heal once per day with low chance to cast other spells based on player health.}

Spell Property FastHealing Auto
Spell Property CloseWounds Auto
Spell Property GrandHealing Auto
GlobalVariable Property PerkAvoidDeathTimer  Auto  
GlobalVariable Property GameDaysPassed  Auto  

Function OnHitProc(string eventName, string strArg, float numArg, Form sender)
	float HealthPercentage = PlayerRef.GetAVPercentage("Health")
	If HealthPercentage < 0.1 && PerkAvoidDeathTimer.GetValue() < GameDaysPassed.GetValue()
		Proc.Cast(PlayerRef)
		PerkAvoidDeathTimer.SetValue(GameDaysPassed.GetValue() + 1.0)
	ElseIf Utility.RandomInt(1,100) <= Chance
		If HealthPercentage >= 0.6 ;60% health or higher
			FastHealing.Cast(PlayerRef)
		ElseIf HealthPercentage >= 0.2 ;20% health or higher
			CloseWounds.Cast(PlayerRef)
		Else ;health is critical
			GrandHealing.Cast(PlayerRef)
		EndIf
	EndIf
EndFunction
