Scriptname SPETestDummyScript extends Actor  
{Various dummy functions, such as outputting debug information to the log.}

ObjectReference Property PositionMarker  Auto  
float totalDamage = 0.0

Event OnMagicEffectApply(ObjectReference akCaster, MagicEffect akEffect)
	Actor Caster = akCaster as Actor
	If Caster
		Debug.Trace(Caster.GetActorBase().GetName() + " applied " + akEffect.GetName() + " (" + akEffect.GetFormID() + ") on me.")
	EndIf
EndEvent

Event OnHit(ObjectReference akAggressor, Form akSource, Projectile akProjectile, bool abPowerAttack, bool abSneakAttack, bool abBashAttack, bool abHitBlocked)
	Actor Attacker = akAggressor as Actor
	If Attacker
		int damage = (GetBaseAV("Health") - GetAV("Health")) as int
		totalDamage += damage
		RestoreAV("Health", damage)
		Debug.Trace(Attacker.GetActorBase().GetName() + " hit me using " + akSource.GetName() + " for " + damage + " damage.")
		RegisterForSingleUpdate(15)
	EndIf
EndEvent

Event OnUpdate()
	MoveTo(PositionMarker)
	StopCombatAlarm()
	Debug.Trace("I took " + totalDamage + " damage total during combat.")
	totalDamage = 0.0
EndEvent

Event OnDeath(Actor akKiller)
	Resurrect()
EndEvent
